<?php

namespace App\Generated\V1\Messages\Friend;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetApplyAllListMessage extends Message
{
    use ValueHelper;

    protected $page;
    protected $result;

    /**
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }

    public function requestRules()
    {
        return [
            ['page', 'page', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
